#
# spec file for package zerofree
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zerofree
Version:        1.1.1
Release:        1.27
Summary:        Utility for ext2,ext3,ext4 filesystems that zeroes out unallocated blocks
License:        GPL-2.0-only
Group:          System/Filesystems
URL:            http://frippery.org/uml/
Source0:        http://frippery.org/uml/%{name}-%{version}.tgz
Source1:        http://frippery.org/uml/sparsify.c
Source2:        zerofree.8
BuildRequires:  libext2fs-devel

%description
zerofree is a utility for ext2,ext3 and ext4 filesystems that
will scan the list of free blocks in a filesystem and fill with
zeroes any blocks that do not already contain zeroes.

This RPM also includes the sparsify utility, which will scan all
files in a filesystem and ensure that they are maximally sparse.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}
gcc %{optflags} -o sparsify %{SOURCE1} -lext2fs

%install
mkdir -p %{buildroot}%{_bindir}
install -s -m 0755 zerofree %{buildroot}%{_bindir}/
install -s -m 0755 sparsify %{buildroot}%{_bindir}/
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man8/zerofree.8

%files
%license COPYING
%{_bindir}/sparsify
%{_bindir}/zerofree
%{_mandir}/man8/zerofree.8%{?ext_man}

%changelog
* Thu Jul  5 2018 astieger@suse.com
- update to 1.1.1:
  * Lift call to ext2fs_free_blocks_count out of loop
  * Add support for 64-bit block numbers
* Fri Jul  8 2016 dmueller@suse.com
- adjust urls to new location
* Thu Jun 16 2016 sweet_f_a@gmx.de
- Update to zerofree-1.0.4
  Minor change: use memcmp instead of loop
* Thu Sep 10 2015 sweet_f_a@gmx.de
- add zerofree(8) man page (taken from debian)
* Fri Aug  2 2013 ohering@suse.de
- package COPYING
* Mon Dec 17 2012 tejas.guruswamy@opensuse.org
- Update to zerofree-1.0.3
* Mon Jun  4 2012 ohering@suse.de
- update to zerofree-1.0.2
  Allow non-zero fill value, new option -f <val>
* Mon Jun  4 2012 ohering@suse.de
- update sparsify.c to fix build errors, download version 2012-05-10
* Sun Dec 12 2010 masterpatricko@gmail.com
- Build with optflags
* Sun Jul 18 2010 archie@dellroad.org
- Turn on SUSE_ASNEEDED magic to fix build.
